### Method

# ECal Component has_simple_recurrence

since: 3.34

#### Declaration [src]

    gboolean
    e_cal_component_has_simple_recurrence (
      ECalComponent* comp
    )

#### Description [src]

Checks whether the given calendar component object has simple recurrence rules or more complicated ones.

Available since: 3.34

#### Return value

Type: `gboolean`

TRUE if it has a simple recurrence rule, FALSE otherwise.